diff --git a/src/service.c b/src/service.c
index ae22c277..187bd962 100644
--- a/src/service.c
+++ b/src/service.c
@@ -355,6 +355,7 @@ static int service_start(svc_t *svc)
 		result = WEXITSTATUS(complete(svc->cmd, pid));
 		if (!svc_clean_bootstrap(svc)) {
 			svc->start_time = svc->pid = 0;
+			svc->once++;
 			svc_set_state(svc, SVC_STOPPING_STATE);
 		}
 	}
